Bug 30228 - lilo doesnt rerun itself after package install
lilo doesnt rerun itself after package install
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-01 16:52 EST by Adrian Likins
Modified: 2007-04-18 12:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-04 02:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2001-03-01 16:52:09 EST
apparently, lilo sometimes changes it's format in a way
that if you install the lilo package, the existing installed
boot loader begins to fail.

lilo probabaly needs to re-execute itself when it is installed
if there is a /etc/lilo.conf to make sure that updating this
package doesnt cause problems. 

This is needed for RHN, since lilo packages may happen without
the use of the installer, which normally masks this.
Comment 1 Jeremy Katz 2001-03-01 17:55:55 EST
Since Adrian and I were talking about this some last night, there are additional
complications.  The first thought of complication is initial install, but that's
a "easy" case as /etc/lilo.conf doesn't exist until it's created by the
installer.  But, even if you check that lilo.conf exists, it could still be
invalid already if an updated kernel has been installed before the updated lilo
in the case of updating either via anaconda or up2date.
Comment 2 Jonathan Kamens 2001-07-02 10:17:00 EDT
I'd like to second this bug.  It's sort of axiomatic that a package upgrade
shouldn't break a machine, and yet when you install a lilo package your machine
will no longer reboot.
Comment 3 Jeremy Katz 2002-06-04 02:17:57 EDT
grub gets this right, but changing the way lilo works isn't worth the effort...
switch to using grub :-)

(and I endorsed this bug at one point ;)

Note You need to log in before you can comment on or make changes to this bug.